gsw_SA_freezing_from_t {gsw} | R Documentation

## Compute Absolute Salinity at Freezing in-situ Temperature

### Description

Compute Absolute Salinity at Freezing in-situ Temperature

### Usage

    gsw_SA_freezing_from_t(t, p, saturation_fraction = 1)

### Arguments

`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`saturation_fraction` | fraction of air in water [unitless]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Absolute Salinity [ g/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_SA_freezing_from_t.html

### Examples

    t <- c(-0.11901, -0.15608, -0.72138, -1.97738, -2.31728, -2.56764)
    p <- c(      10,       50,      125,      250,      600,     1000)
    saturation_fraction <- 1
    SA <- gsw_SA_freezing_from_t(t, p, saturation_fraction)
    expect_equal(SA, c(2.015798440008186, 2.150742019102164, 11.679080083422074,
                     32.844196564019278, 34.138949682974413, 33.100945437175568))

[Package gsw version 1.0-5 Index]